CREATE TABLE atc_prodspec_char_val_uses_ (
    CHAR_VALUE_USE_ID             NUMBER(18, 0) ,
    CHARACTERISTIC_PUID           VARCHAR2(120) ,
    CHAR_VALUE_USE_NAME           VARCHAR2(800) ,
    CHAR_VALUE_USE_DESCRIPTION    VARCHAR2(4000),
    SOURCE_SYSTEM_NAME            VARCHAR2(800) ,
    MIN_CARDINALITY               NUMBER(9, 0)  ,
    MAX_CARDINALITY               NUMBER(9, 0)  ,
    VALUE_RESTRICTION_FLAG        VARCHAR2(4)   ,
    PARENT_CHAR_NAME              VARCHAR2(800) ,
    VALUE_TYPE_CODE               VARCHAR2(800) ,
    PROD_SPEC_REF_ID              NUMBER(18, 0) ,
    ENTITY_ID                     NUMBER(18, 0) ,
    ENTITY_NAME                   VARCHAR2(400) ,
    REF_ENT_BASE_TYPE             VARCHAR2(400) ,
    AT_TYPE                       VARCHAR2(800) ,
    AT_BASE_TYPE                  VARCHAR2(800) ,
    AT_SCHEMA_LOCATION            VARCHAR2(4000),
    START_DATE_TIME               TIMESTAMP(6)  ,
    END_DATE_TIME                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    CHAR_VALUE_USE_ID             NUMBER(18, 0) ,
    CHAR_VALUE_USE_NAME           VARCHAR2(800) ,
    CHAR_VALUE_USE_DESCRIPTION    VARCHAR2(4000),
    MIN_CARDINALITY               NUMBER(9, 0)  ,
    MAX_CARDINALITY               NUMBER(9, 0)  ,
    VALUE_RESTRICTION_FLAG        VARCHAR2(4)   ,
    PARENT_CHAR_NAME              VARCHAR2(800) ,
    VALUE_TYPE_CODE               VARCHAR2(800) ,
    PROD_SPEC_REF_ID              NUMBER(18, 0) ,
    ENTITY_ID                     NUMBER(18, 0) ,
    ENTITY_NAME                   VARCHAR2(400) ,
    REF_ENT_BASE_TYPE             VARCHAR2(400) ,
    AT_TYPE                       VARCHAR2(800) ,
    AT_BASE_TYPE                  VARCHAR2(800) ,
    AT_SCHEMA_LOCATION            VARCHAR2(4000),
    START_DATE_TIME               TIMESTAMP(6)  ,
    END_DATE_TIME                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    CHARACTERISTIC_PUID           VARCHAR2(120) ,
    SOURCE_SYSTEM_NAME            VARCHAR2(800) ,
    CONSTRAINT pk_atc_prodspec_char_val_uses_ PRIMARY KEY (CHAR_VALUE_USE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, CHAR_VALUE_USE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
